org.eclipse.ease.ui.perspectives

## Class ScriptingPerspective

- java.lang.Object
- - org.eclipse.ease.ui.perspectives.ScriptingPerspective

All Implemented Interfaces:
  IPerspectiveFactory

    public class ScriptingPerspective
    extends java.lang.Object
    implements IPerspectiveFactory

Default perspective for scripting.

### Constructor Summary

Constructors
Constructor and Description
`ScriptingPerspective()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createInitialLayout(IPageLayout factory)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScriptingPerspective

    public ScriptingPerspective()

### Method Detail

#### createInitialLayout

    public void createInitialLayout(IPageLayout factory)

Specified by:
  `createInitialLayout` in interface `IPerspectiveFactory`